Skip to main content
GET
/
employees
/
{employee_id}
Get an employee
curl --request GET \
  --url https://{base_url}/api/v1/employees/{employee_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://{base_url}/api/v1/employees/{employee_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://{base_url}/api/v1/employees/{employee_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "2095_1144974",
  "address": {
    "id": "",
    "city": "Christchurch",
    "country": "",
    "line1": "123 Fitzgerald Avenue",
    "line2": "",
    "postalCode": 8011,
    "state": "Canterbury",
    "suburb": ""
  },
  "contractedHours": [
    {
      "id": "2443_312283",
      "day": 1,
      "department": {
        "id": "2784_119",
        "name": "Deli"
      },
      "finishTime": null,
      "minutesTotal": 480,
      "minutesWorking": 480,
      "role": {
        "id": "2213_6559",
        "name": "Retail Assistant"
      },
      "shift": {
        "id": "2786_12120",
        "name": "Morning"
      },
      "startTime": null,
      "week": 1,
      "workPattern": false
    },
    {
      "id": "2443_312284",
      "day": 2,
      "department": {
        "id": "2784_119",
        "name": "Deli"
      },
      "finishTime": "T07:00:00.000",
      "minutesTotal": 360,
      "minutesWorking": 360,
      "role": {
        "id": "2213_6559",
        "name": "Retail Assistant"
      },
      "shift": null,
      "startTime": "T01:00:00.000",
      "week": 1,
      "workPattern": false
    }
  ],
  "firstNames": "Jane",
  "lastName": "Smith",
  "payRollCode": ""
}

Authorizations

Authorization
string
header
required

Access token obtained from /oauth/token. Pass as Authorization: Bearer {token}

Path Parameters

employee_id
string
required

The unique identifier of the employee to retrieve

Example:

"2095_1144974"

Response

Employee details

id
string

The unique identifier for the employee

Example:

"2095_1144974"

address
object
contractedHours
object[]

A list of the employee's contracted hours entries across the week

firstNames
string

The employee's first name(s)

Example:

"Jane"

lastName
string

The employee's last name

Example:

"Smith"

payRollCode
string

The payroll code associated with this employee. Empty string if not assigned.

Example:

""